use crate::siggen::*;
use super::streammgr::SharedInQueue;
cfg_if::cfg_if! {
if #[cfg(feature = "python-bindings")] {
    use pyo3::exceptions::PyValueError;
    use pyo3::prelude::*;
    use pyo3::{pymodule, pyclass, types::PyModule, PyResult};
} else {} }


/// Commands that can be sent to a running stream
pub enum StreamCommand {
    /// Add a new queue to a running INPUT stream
    AddInQueue(SharedInQueue),

    /// Remove a queue to a running INPUT stream
    RemoveInQueue(SharedInQueue),

    /// New signal generator config to be used in OUTPUT stream
    NewSiggen(Siggen),

    /// Stop the thread, do not listen for data anymore.
    StopThread,

    // New signal generator source
    // NewSiggenSource(Source)
}
